Dziś krótka prezentacja pokazująca jak wzbogacić reguły iLogic o pasek postępu.
Reguła użyta w filmiku:
'create an Inventor progress bar
Dim mProgress As Inventor.ProgressBar
Dim mProgStepsAll As Integer = 3
Dim mProgStep As Integer = 1
mProgress = ThisApplication.CreateProgressBar(False, mProgStepsAll, "Eksport do CAD", False)
mProgress.Message = "Zapis do pliku STEP " & " Step " & mProgStep & " of " & mProgStepsAll
mProgress.UpdateProgress
iLogicVb.RunRule("STEP")
'Next progress step
mProgStep = 2
mProgress.Message = "Zapis do pliku SAT " & " Step " & mProgStep & " of " & mProgStepsAll
mProgress.UpdateProgress
iLogicVb.RunRule("SAT")
mProgStep = 3
mProgress.Message = "Zapis do pliku IGES " & " Step " & mProgStep & " of " & mProgStepsAll
mProgress.UpdateProgress
iLogicVb.RunRule("IGES")
'Close progress bar:
mProgress.Close
Comments
You can follow this conversation by subscribing to the comment feed for this post.